<?php
/**
 * Clase Base Bean para BaseRhPensionDevengueBN
 *
 * @package    Sedapal
 * @subpackage BaseRhPensionDevengueBN
 * @author     Willy
 * @version    SVN:: BaseRhPensionDevengueBN.class.php,v 1.1 2015-01-25 15:09:40 william.taype Exp $
 */
abstract class BaseRhPensionDevengueBN
{
  protected $IdPeriodo;
  protected $IdPension;
  protected $ComisionFija;
  protected $ComisionFlujo;
  protected $ComisionMixtaFlujo;
  protected $ComisionAnualSaldo;
  protected $Seguro;
  protected $PorcentajeAporteObligatorio;
  protected $RMA;
  protected $FechaRegistro;
  protected $UsuarioRegistro;
  protected $Mensaje;
  protected $Error;

  public function getIdPeriodo(){
    return $this->IdPeriodo;
  }
  public function setIdPeriodo($v1){
    $this->IdPeriodo = $v1; 
  }

  public function getIdPension(){
    return $this->IdPension;
  }
  public function setIdPension($v1){
    $this->IdPension = $v1; 
  }

  public function getComisionFija(){
    return $this->ComisionFija;
  }
  public function setComisionFija($v1){
    $this->ComisionFija = $v1; 
  }

  public function getComisionFlujo(){
    return $this->ComisionFlujo;
  }
  public function setComisionFlujo($v1){
    $this->ComisionFlujo = $v1; 
  }

  public function getComisionMixtaFlujo(){
    return $this->ComisionMixtaFlujo;
  }
  public function setComisionMixtaFlujo($v1){
    $this->ComisionMixtaFlujo = $v1; 
  }

  public function getComisionAnualSaldo(){
    return $this->ComisionAnualSaldo;
  }
  public function setComisionAnualSaldo($v1){
    $this->ComisionAnualSaldo = $v1; 
  }

  public function getSeguro(){
    return $this->Seguro;
  }
  public function setSeguro($v1){
    $this->Seguro = $v1; 
  }

  public function getPorcentajeAporteObligatorio(){
    return $this->PorcentajeAporteObligatorio;
  }
  public function setPorcentajeAporteObligatorio($v1){
    $this->PorcentajeAporteObligatorio = $v1; 
  }

  public function getRMA(){
    return $this->RMA;
  }
  public function setRMA($v1){
    $this->RMA = $v1; 
  }

  public function getFechaRegistro(){
    return $this->FechaRegistro;
  }
  public function setFechaRegistro($v1){
    $this->FechaRegistro = $v1; 
  }

  public function getUsuarioRegistro(){
    return $this->UsuarioRegistro;
  }
  public function setUsuarioRegistro($v1){
    $this->UsuarioRegistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_pension_devengueBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_pension_devengueRs )
  {
    $o_RhPensionDevengueBN = new RhPensionDevengueBN();
    $o_RhPensionDevengueBN->setIdPeriodo( $o_Rh_pension_devengueRs['IdPeriodo'] );
    $o_RhPensionDevengueBN->setIdPension( $o_Rh_pension_devengueRs['IdPension'] );
    $o_RhPensionDevengueBN->setComisionFija( $o_Rh_pension_devengueRs['ComisionFija'] );
    $o_RhPensionDevengueBN->setComisionFlujo( $o_Rh_pension_devengueRs['ComisionFlujo'] );
    $o_RhPensionDevengueBN->setComisionMixtaFlujo( $o_Rh_pension_devengueRs['ComisionMixtaFlujo'] );
    $o_RhPensionDevengueBN->setComisionAnualSaldo( $o_Rh_pension_devengueRs['ComisionAnualSaldo'] );
    $o_RhPensionDevengueBN->setSeguro( $o_Rh_pension_devengueRs['Seguro'] );
    $o_RhPensionDevengueBN->setPorcentajeAporteObligatorio( $o_Rh_pension_devengueRs['PorcentajeAporteObligatorio'] );
    $o_RhPensionDevengueBN->setRMA( $o_Rh_pension_devengueRs['RMA'] );
    $o_RhPensionDevengueBN->setFechaRegistro( $o_Rh_pension_devengueRs['FechaRegistro'] );
    $o_RhPensionDevengueBN->setUsuarioRegistro( $o_Rh_pension_devengueRs['UsuarioRegistro'] );
    return $o_RhPensionDevengueBN;
  }
}